#!/usr/bin/gnuplot

AU = 1.49597870691e11  # m
day = 86400.           # s

f(RV) = RV*1.e3 * 86400./AU
g(vb_z) = vb_z*AU/86400. / 1.e3

########################################################################

set xl "JD - 2400000"
set yl "vzb [AU/day]"

set zeroaxis

load "T0.plt"
set arrow from T0-2400000,graph 0 to T0-2400000,graph 1 nohead lt 0

p \
  "<awk '($2==-1)' out_JDATE_barycentric.dat" u ($1-2400000):8 t "1" w l lt 1,\
  "<awk '($2==-2)' out_JDATE_barycentric.dat" u ($1-2400000):8 t "2" w l lt 2,\
  "<awk '($2==-3)' out_JDATE_barycentric.dat" u ($1-2400000):8 t "3" w l lt 3,\
  "<awk '($2==-4)' out_JDATE_barycentric.dat" u ($1-2400000):8 t "4" w l lt 4,\
  "RV1.dat" u ($1-2400000):(f($2)):(f($3)) t "observ." w err lt 1 pt 1 ps 0.5,\
  "RV2.dat" u ($1-2400000):(f($2)):(f($3)) not         w err lt 2 pt 1 ps 0.5,\
  "RV3.dat" u ($1-2400000):(f($2)):(f($3)) not         w err lt 3 pt 1 ps 0.5,\
  "<awk '($4==1) || (NF==0)' chi2_RV.dat" u ($1-2400000):2 t "residua" w l lt 1 lw 3,\
  "<awk '($4==2) || (NF==0)' chi2_RV.dat" u ($1-2400000):2 not         w l lt 1 lw 3,\
  "<awk '($4==3) || (NF==0)' chi2_RV.dat" u ($1-2400000):2 not         w l lt 1 lw 3,\

pa -1

set term png small
set out "chi2_RV.png"
rep

q


